﻿//using Android.Provider;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GridDatafromSQLite.ViewModels {
    public class ContactEditingViewModel : BindableBase {
         Model.Contact editedItem;
        public bool IsNewItemEditing;
        public IList<Model.Contact> SourceCollection;
        public ContactEditingViewModel(Model.Contact editedItem, bool isNewItemEditing = false, IList<Model.Contact> sourceCollection = null) {
            IsNewItemEditing = isNewItemEditing;
            SourceCollection = sourceCollection;
            EditedItem = editedItem;
            if (IsNewItemEditing)
                Title = "Add new contact";
            else
                Title = "Edit contact";
        }
        
        public Model.Contact EditedItem {
            get {
                return editedItem;
            }
            set {
                editedItem = value;
                RaisePropertyChanged();
            }
        }
        public string Title {
            get;
            set;
        }
    }
}
